Subject: Re: bug#43677: 27.1; Calc holidays off-by-one error, incorrect business day calculation

From: Aaron Zeng <[email-masked]>
Date: Thu, 1 Oct 2020 18:47:58 -0400

Mattias, that patch seems to work well for me (I tested this by just
loading the lisp into an older version of emacs, since I don't have
experience compiling emacs from source).  I don't need business days
for BC dates.

Thanks all for the quick responses.

On Thu, Oct 1, 2020 at 6:19 AM Mattias Engdegård <[email-masked]> wrote:
>
> Aaron, does this patch solve your problem?
>
> It turned out that the ability to select arbitrary holiday weekdays never really worked correctly; the patch attempts to do something about that as well.
>
> The business days code also doesn't work at all very well for BC dates, which of course limits its applicability somewhat but perhaps not critically so. Please tell me if that is something you need fixed.
>
>
>